Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerObject_var Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::ServerObject_var:

[legend]
Collaboration diagram for ImplementationRepository::ServerObject_var:

[legend]
List of all members.

## Public Methods
| ServerObject_var (void)
| ServerObject_var (ServerObject_ptr p)
| ServerObject_var (const ServerObject_var &)
| ~ServerObject_var (void)
ServerObject_var & | operator= (ServerObject_ptr)
ServerObject_var & | operator= (const ServerObject_var &)
ServerObject_ptr | operator-> (void) const
| operator const ServerObject_ptr & () const
| operator ServerObject_ptr & ()
ServerObject_ptr | in (void) const
ServerObject_ptr & | inout (void)
ServerObject_ptr & | out (void)
ServerObject_ptr | _retn (void)
ServerObject_ptr | ptr (void) const
## Static Public Methods
ServerObject_ptr | tao_duplicate (ServerObject_ptr)
void | tao_release (ServerObject_ptr)
ServerObject_ptr | tao_nil (void)
ServerObject_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ServerObject_var (const TAO_Base_var &rhs)
ServerObject_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ServerObject_ptr | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::ServerObject_var::ServerObject_var | ( | void |  | ) |

ImplementationRepository::ServerObject_var::ServerObject_var | ( | ServerObject_ptr | p | ) | `[inline]`

ImplementationRepository::ServerObject_var::ServerObject_var | ( | const ServerObject_var & |  | ) |

ImplementationRepository::ServerObject_var::~ServerObject_var | ( | void |  | ) |

ImplementationRepository::ServerObject_var::ServerObject_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ServerObject_ptr ImplementationRepository::ServerObject_var::_retn | ( | void |  | ) |

ServerObject_ptr ImplementationRepository::ServerObject_var::in | ( | void |  | ) | const

ServerObject_ptr& ImplementationRepository::ServerObject_var::inout | ( | void |  | ) |

ImplementationRepository::ServerObject_var::operator const ServerObject_ptr & | ( |  | ) | const

ImplementationRepository::ServerObject_var::operator ServerObject_ptr & | ( |  | ) |

ServerObject_ptr ImplementationRepository::ServerObject_var::operator-> | ( | void |  | ) | const

ServerObject_var& ImplementationRepository::ServerObject_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ServerObject_var& ImplementationRepository::ServerObject_var::operator= | ( | const ServerObject_var & |  | ) |

ImplementationRepository::ServerObject_var & ImplementationRepository::ServerObject_var::operator= | ( | ServerObject_ptr | p | ) |

ServerObject_ptr& ImplementationRepository::ServerObject_var::out | ( | void |  | ) |

ImplementationRepository::ServerObject_ptr ImplementationRepository::ServerObject_var::ptr | ( | void |  | ) | const

ServerObject_ptr ImplementationRepository::ServerObject_var::tao_duplicate | ( | ServerObject_ptr |  | ) | `[static]`

ServerObject_ptr ImplementationRepository::ServerObject_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ServerObject_ptr ImplementationRepository::ServerObject_var::tao_nil | ( | void |  | ) | `[static]`

void ImplementationRepository::ServerObject_var::tao_release | ( | ServerObject_ptr |  | ) | `[static]`

CORBA::Object* ImplementationRepository::ServerObject_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ServerObject_ptr ImplementationRepository::ServerObject_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp